apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "logstash.name" . }}-conf
  namespace: {{ include "logstash.name" . }}
data:
  jvm.options: |
    {{- .Values.config.jvm_options | nindent 4 -}}
  log4j2.properties: |
    {{- .Values.config.log4j2_properties | nindent 4 -}}
  logstash-opensearch-sample.conf: |
    {{- .Values.config.logstash_opensearch_sample_conf | nindent 4 -}}
  logstash-sample.conf: |
    {{- .Values.config.logstash_sample_conf | nindent 4 -}}
  logstash.yml: |
    {{- .Values.config.logstash_yml | nindent 4 -}}
  pipelines.yml: |
    {{- .Values.config.pipelines_yml | nindent 4 -}}
  startup.options: {{ .Values.config.startup_options | nindent 4 -}}
binaryData: {}